Graph: First parameter must either be an object or the name of an existing class
Closed, ResolvedPublic

Description

Spotted in production:

Warning: First parameter must either be an object or the name of an existing class in /srv/mediawiki/php-1.29.0-wmf.7/extensions/Graph/includes/ApiGraph.php on line 163
demon created this task.Jan 10 2017, 10:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2017, 10:11 PM

Change 331801 had a related patch set uploaded (by MaxSem):
Fix warning in production

https://gerrit.wikimedia.org/r/331801

Change 331801 merged by jenkins-bot:
Fix warning in production

https://gerrit.wikimedia.org/r/331801

MaxSem closed this task as Resolved.Jan 12 2017, 12:03 AM
MaxSem claimed this task.

Mentioned in SAL (#wikimedia-operations) [2017-01-12T22:08:50Z] <maxsem@tin> Synchronized php-1.29.0-wmf.7/extensions/Graph/includes/ApiGraph.php: Debug for T155057 (duration: 00m 38s)

debt moved this task from Backlog to Done on the Interactive-Sprint board.
MaxSem reopened this task as Open.Jan 17 2017, 10:03 PM

We've had a spike of these warnings, need to investigate deeper.

debt moved this task from Done to In progress on the Interactive-Sprint board.Jan 17 2017, 10:14 PM

Change 332913 had a related patch set uploaded (by MaxSem):
Add logging of pages with broken data

https://gerrit.wikimedia.org/r/332913

Change 332913 merged by jenkins-bot:
Add logging of pages with broken data

https://gerrit.wikimedia.org/r/332913

Change 332916 had a related patch set uploaded (by MaxSem):
Add logging of pages with broken data

https://gerrit.wikimedia.org/r/332916

Change 332916 merged by jenkins-bot:
Add logging of pages with broken data

https://gerrit.wikimedia.org/r/332916

debt moved this task from In progress to Done on the Interactive-Sprint board.Jan 19 2017, 12:21 AM
MaxSem moved this task from Done to In progress on the Interactive-Sprint board.Jan 20 2017, 6:35 PM
MaxSem closed this task as Resolved.Jan 20 2017, 10:59 PM

Upon reading logs generated by the above change, the conclusion that this is data truncation at https://ru.wikipedia.org/wiki/User:MaxBioHazard/pageview_peaks and the solution is T119043: Graph/Graphoid/Kartographer - data storage architecture. Current error suppressing plug is justified, logging code will stay for now until we resolve the storage problem. This can be closed.